## org.cometd.demo
Class CometdDemoServlet.Monitor

    java.lang.Object
      org.mortbay.cometd.BayeuxService
          org.cometd.demo.CometdDemoServlet.Monitor

Enclosing class:
  CometdDemoServlet

    public static class CometdDemoServlet.Monitor

extends BayeuxService

Constructor Summary
`CometdDemoServlet.Monitor(org.cometd.Bayeux bayeux)`

Method Summary
`void` `monitorMeta(org.cometd.Client client, org.cometd.Message message)`
`void` `monitorSubscribe(org.cometd.Client client, org.cometd.Message message)`
`void` `monitorUnsubscribe(org.cometd.Client client, org.cometd.Message message)`

Methods inherited from class org.mortbay.cometd.BayeuxService
`asyncDoInvoke, exception, getBayeux, getClient, getThreadPool, isSeeOwnPublishes, send, setSeeOwnPublishes, setThreadPool, subscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CometdDemoServlet.Monitor

    public CometdDemoServlet.Monitor(org.cometd.Bayeux bayeux)

Method Detail

### monitorSubscribe

    public void monitorSubscribe(org.cometd.Client client,
                                 org.cometd.Message message)

### monitorUnsubscribe

    public void monitorUnsubscribe(org.cometd.Client client,
                                   org.cometd.Message message)

### monitorMeta

    public void monitorMeta(org.cometd.Client client,
                            org.cometd.Message message)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.